Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Juanma Barranquero <[email-masked]>
Date: Sat, 14 Apr 2012 03:48:10 +0200

On Sat, Apr 14, 2012 at 02:36, Michael Heerdegen
<[email-masked]> wrote:

> However, should `emacs-lock-locked-buffer-hook' not better be named
> `...-functions' or so?

Yes, indeed. My mistake.

> Mmh, the prefix arg of `emacs-lock-mode' is already used for the locking
> mode.  So we'll probably need a separate command that reads the note
> text and saves it to a buffer local variable and maybe a user option
> that controls if this command is run automatically by emacs-lock-mode.

Yes. I initially thought that the separate command was unnecessary
(just e-l-m asking whenever the user option is t), but then it
wouldn't be possible to reset or modify the note.

> Anyway, if you have a patch, please send it to the bug's address again.

I'm going to commit the first patch (after -hook -> -functions), and
then I'll work on the note patch.

    Juanma